Lingxing
切换旧版

查询海外仓sku配对列表

POST/basicOpen/overseaWarehouseSetting/matchList

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/overseaWarehouseSetting/matchListHTTPSPOST1

请求参数

wpIdinteger必填
三方服务商id
twIdsstring
三方仓id,多个之间用逗号隔开
offsetinteger
分页偏移量,默认0
lengthinteger
分页大小,默认20,上限200
isMatchedinteger
是否配对,0否,1是
keywordstring
关键词,搜索sku / 品名 / 第三方产品名 / 产品编码

请求cURL示例


curl --location --request POST 'https://openapi.lingxing.com/basicOpen/overseaWarehouseSetting/matchList?app_key=value&access_token=value&timestamp=value&sign=value' \
--header 'Content-Type: application/json' \
--data-raw '{
    "wpId":1630,
    "twids":"123,124"
}'

返回结果

codestring必填
状态码,0成功
示例 0
messagestring必填
提示信息
示例 success
error_detailsarray<any>必填
错误信息
request_idstring必填
请求链路id
response_timestring必填
响应时间
totalstring必填
总数
示例 2
dataarray<object>必填
隐藏子属性
countryNamestring必填
国家
fnskustring必填
fnsku
isMatchedboolean必填
是否配对
示例 0
isMatchedTextstring必填
是否配对
示例 已配对
localNamestring必填
本地品名
示例 aa
localSkustring必填
本地sku
示例 aa1246
matchMsgstring必填
配对信息
matchNuminteger必填
配对数量
示例 1
overseaProductCodestring必填
第三方仓sku
overseaProductNamestring必填
第三方仓品名
overseaSpecstring必填
规格,winit专用
overseaUniqueCodestring必填
三方sku唯一编码
productIdinteger必填
产品id
示例 4312
sellerIdstring必填
店铺id
示例 123
sellerNamestring必填
店铺名称
示例 localname
sidinteger必填
同sellerId
twIdinteger必填
三方仓id
示例 123
twpIdinteger必填
三方商品id
示例 132
warehouseCodestring必填
第三方仓仓库代码
示例 15154
warehouseNamestring必填
第三方仓仓库
warehouseNameLocalstring必填
本地仓库名称
示例 localhouse
widinteger必填
仓库id
wpmIdinteger必填
配对id

返回成功示例

"code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "f91edad8ebb242c29312ce9d6968adc4.114.17411626672521103",
    "response_time": "2025-03-05 16:17:47",
    "data": [
        {
            "countryName": "",
            "fnsku": "",
            "isMatched": true,
            "isMatchedText": "已配对",
            "localName": "HH",
            "localSku": "HH",
            "matchMsg": null,
            "matchNum": 1,
            "overseaProductCode": "123",
            "overseaProductName": "123",
            "overseaSpec": "",
            "overseaUniqueCode": "1659610245_9650000002",
            "productId": 3186,
            "sellerId": 0,
            "sellerName": "-",
            "sid": 0,
            "twId": 7808,
            "twpId": 1392732,
            "warehouseCode": "53",
            "warehouseName": "PH8806",
            "warehouseNameLocal": "测试仓[3] PH8806",
            "wid": 1190,
            "wpmId": 1343
        }
    ],
    "total": 1
}